%global momorel 2
%global gpdatadir %{_datadir}/%{name}/4.4
%global exec_texhash [ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null || :

Summary: An interactive plotting program
Name: gnuplot

### include local configuration
%{?include_specopt}
### default configurations
#  If you'd like to change these configurations, please copy them to
# ~/rpm/specopt/gnuplot.specopt and edit it.
%{?!with_wxGTK: %global with_wxGTK 1}

Version: 4.4.0
Release: %{momorel}m%{?dist}
Source0: http://dl.sourceforge.net/sourceforge/gnuplot/%{name}-%{version}.tar.gz 
NoSource: 0
# Japanese help
# http://takeno.iee.niit.ac.jp/~foo/gp-jman/
%global jadocdate 20100314
%global jadocsrc gp440-ja-%{jadocdate}
Source1: http://takeno.iee.niit.ac.jp/~foo/gp-jman/data/%{jadocdate}/%{jadocsrc}.tar.gz
NoSource: 1
# precompiled Japanese manuals
# http://takeno.iee.niit.ac.jp/~foo/gp-jman/#manjp-files
Source10: gnuplot-4.4.0-ja.pdf
Source11: gnuplot-4.4.0-ja.info
License: see "Copyright"
Group: Applications/Engineering
URL: http://www.gnuplot.info/
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glibc-devel, readline-devel
BuildRequires: libX11-devel, libXpm-devel
BuildRequires: groff, tetex-latex, tetex-dvipsk, dvipdfmx
BuildRequires: zlib-devel, libjpeg-devel >= 8a, gd-devel 
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: automake, autoconf
BuildRequires: emacs
BuildRequires: nkf
%if %{with_wxGTK}
BuildRequires: wxGTK-unicode-devel >= 2.8.6
%endif
Requires(post): kpathsea info
Requires(postun): kpathsea info

%description
Gnuplot is a command-line driven interactive function plotting utility.
Gnuplot supports many different types of terminals, plotters, and printers
(including many color devices, and pseudo-devices like LaTeX) and is
easily extensible to include new devices.

%prep
%setup -q -a 1

%build
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-x \
    --without-linux-vga \
    --with-readline \
    --enable-history-file \
    --with-jpeg \
    --with-libpng \
    --with-gd \
    --with-freetype \
    --with-cwdrc \
    --enable-thin-splines \
    --enable-backwards-compatibility \
%if %{with_wxGTK}
    --with-wx-config=%{_bindir}/wx-config-unicode \
%else
    --disable-wxwidgets \
%endif
    --without-lisp-files

%{make}
make info
make pdf
mv docs/gnuplot.pdf .

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

(cd docs/psdoc
make all GNUPLOT_PS_DIR=%{buildroot}%{gpdatadir}/PostScript
)

# make japanese terminal help
(cd term
patch -p1 < ../%{jadocsrc}/term-ja.diff || :
)
(cd docs
sed -i -e "s:^CFLAGS =.*$:CFLAGS = -O2 -DJAPANESE_DOC:g" Makefile
make clean
make doc2gih
./doc2gih gnuplot-ja.doc gnuplot-ja.gih
mv -f gnuplot-ja.gih gnuplot-ja.euc.gih
nkf -w gnuplot-ja.euc.gih > gnuplot-ja.gih
install -m 644 gnuplot-ja.gih %{buildroot}/%{gpdatadir}/gnuplot-ja.gih
install -m 644 gnuplot-ja.euc.gih %{buildroot}/%{gpdatadir}/gnuplot-ja.euc.gih
)

cp %{SOURCE10} gnuplot-ja.pdf
install -m 644 %{SOURCE11} %{buildroot}%{_infodir}/gnuplot-ja.info

# remove
rm -f %{buildroot}%{_infodir}/dir

# use /usr/share/texmf instead of /usr/share/texmf-local
mkdir -p %{buildroot}%{_datadir}/texmf/tex/latex/gnuplot/
install -m 644 share/LaTeX/gnuplot.cfg %{buildroot}%{_datadir}/texmf/tex/latex/gnuplot/
rm -rf %{buildroot}%{_datadir}/texmf-local

%clean
rm -rf %{buildroot}

%post
if [ -x /sbin/install-info ]; then
    /sbin/install-info %{_infodir}/gnuplot.info %{_infodir}/dir
    /sbin/install-info %{_infodir}/gnuplot-ja.info \
    --section="Math" \
    --entry="* GNUPLOT: (gnuplot-ja).          An Interactive Plotting Program" \
    %{_infodir}/dir
fi
# ls-R
%{exec_texhash}

%preun
if [ $1 = 0 -a -x /sbin/install-info ]; then
    /sbin/install-info --delete %{_infodir}/gnuplot.info %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/gnuplot-ja.info \
    --section="Math" \
    --entry="* GNUPLOT: (gnuplot-ja).          An Interactive Plotting Program" \
    %{_infodir}/dir
fi

%postun
# ls-R
%{exec_texhash}

%files
%defattr(-,root,root,-)
%doc BUGS ChangeLog CodeStyle Copyright FAQ.pdf INSTALL* NEWS
%doc PATCHLEVEL PGPKEYS PORTING README* TODO VERSION
%doc gnuplot.pdf gnuplot-ja.pdf
%doc docs/psdoc/*.ps
%doc tutorial/tutorial.pdf
%doc demo
%{_bindir}/gnuplot
%{_libexecdir}/gnuplot
%{_datadir}/%{name}
#%%{_libdir}/X11/app-defaults/Gnuplot
%{_datadir}/texmf/tex/latex/gnuplot/gnuplot.cfg
%{_mandir}/man1/gnuplot.1*
%{_infodir}/gnuplot.info*
%{_infodir}/gnuplot-ja.info*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.0-2m)
- full rebuild for mo7 release

* Sat Jun 12 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.4.0-1m)
- update to 4.4.0

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.3.0-0.0.20090708.4m)
- rebuild against readline6

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.0-0.0.20090708.3m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.0-0.0.20090708.2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Sep  9 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (4.3.0-0.0.20090708-1m)
- update cvs snapshot 20090708

* Sun Jul 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.0-0.0.20081121.2m)
- ignore term-ja.diff miss patching

* Thu May 21 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (4.3.0-0.0.20081121.1m)
- update to cvs snapshot 20081121

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.3.0-0.0.20080526.3m)
- rebuild against rpm-4.6

* Sun Jul 27 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.3.0-0.0.20080526.2m)
- fix %%post, %%postun

* Sat May 27 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (4.3.0-0.0.20080526.1m)
- update to cvs snapshot 20080526

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.0-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.2.0-4m)
- %%NoSource -> NoSource

* Fri Nov 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-3m)
- rebuild against wxGTK-2.8.6

* Sun Aug 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.2.0-2m)
- fix %%changelog section

* Tue Mar 27 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (4.2-2m)
- add -c option to dvipdfmx for making gnuplot.pdf
- add term-ja.patch
- enable "make all" of psdoc block
 
* Tue Mar 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (4.2-1m)
- updated to 4.2

* Sun Feb 18 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (4.2-0.4.1m)
- updated to 4.2rc4
- added specopt "with_wxGTK" to skip wxGTK support

* Sat Nov 11 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (4.2-0.1.1m)
- updated to 4.2rc1
- droped "plus patch" since it has not been maintained.
- - use mbfont: or wxt terminal for displaying Japanses on screen
- - use Enhanced Postscript on ps/eps or epslatex terminal to show formula in graphs

* Tue Feb 15 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.0-2m)
- dvipdfm -> dvipdfmx

* Sun Oct 31 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (4.0.0-1m)
- version 4.0.0 has been released
- include some japanese docs
- - html and info files cannot be made now
- - if you want a japanese terminal help, export GNUHELP=/usr/share/gnuplot/gnuplot-jp.gih

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8j.0-4m)
- patch verup

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (3.8j.0-3m)
- revised spec for enabling rpm 4.2.

* Thu Dec 18 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.8j.0-2m)
- apply "plus patch" for gnuplot-3.8
  see http://f21.aaacafe.ne.jp/~oden/software/gnuplot.html

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (kossori)
- License: see "Copyright" instead of "see Copyright"

* Sun Oct 19 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.8j.0-1m)
- update to 3.8j.0

* Sat Oct 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.8i.0-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Jul 28 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8i.0-3m)
- modify BuildPreReq: tetex-dvips -> tetex-dvipsk

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.8i.0-2m)
- rebuild against for gd

* Mon Jan 06 2003 Kenta MURATA <muraken@momonga-linux.org>
- (3.8i.0-1m)
- version up to 3.8i.0.

* Tue Oct 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.7.2-1m)
- change version notation

* Mon May  6 2002 zunda <zunda@kondara.org>
- (3.7.2+1.2.0-0.4k)
- gnuplot3.7.2+1.2.0rc2
- source update to rc2

* Tue Apr 30 2002 zunda <zunda@kondara.org>
- (3.7.1+1.2.0-0.3k)
- Oops, need to distribute the patch along with the binary package!

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.7.1+1.2.0-0.2k)
- /sbin/install-info -> info in PreReq.

* Mon Apr 29 2002 zunda <zunda@kondara.org>
- (3.7.2+1.2.0-0.1k)
- gnuplot3.7.2+1.2.0rc1
- source update
- demo/ added to %doc

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.7.1+1.2.0-8k)
- rebuild against libpng 1.2.2.

* Sat Dec  1 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (3.7.1+1.2.0-6k)
- change URL

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (3.7.1+1.2.0-4k)
- rebuild against libpng 1.2.0.

* Wed Jan 25 2001 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (3.7.1+1.2.0-3k)
- update patch to 1.2.0
- do not use GNU readline !

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Fri Jul 14 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (3.7.1+1.1.9-2k)
- remove gd from Requires:
- touch all files before configure instead of fix in %%install 

* Wed May 24 2000 AYUHANA Tomonori <l@kondara.org>
- fix %%install section (binary contains %{buildroot})
- add -q at %setup

* Sun May 14 2000 SUGAWARA Zenta <sugazen@pop02.odn.ne.jp>
- move %defattr to the head of %files section

* Fri Jan 28 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- Kondara fix
- prefix changed and optimization flags added

* Fri Dec  3 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- apply gnuplot3.7.1+1.1.9.bugfix

* Mon Nov  8 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.1+1.1.9

* Fri Sep  3 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7.0.1+1.1.9

* Tue Jun 11 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- add information about /sbin/install-info

* Tue Jun  1 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- 3.7+1.1.9

* Tue Jan 29 1999 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- first release
